# class RDoc::Markup::Include

frozen_string_literal: false

A file included at generation time. Objects of this class are created by RDoc::RD for an extension-less include.

This implementation in incomplete.

### Attributes

file[R]

The filename to be included, without extension

include_path[R]

Directories to search for file

### Public Class Methods

new(file, include_path) click to toggle source

Creates a new include that will import `file` from `include_path`

    # File lib/rdoc/markup/include.rb, line 23
    def initialize file, include_path
      @file = file
      @include_path = include_path
    end